diff mbox series

Add cr16-*-* to the list of obsoleted targets

Message ID 7999q74o-rprq-opp-o3o3-30q84rn35650@fhfr.qr
State Committed
Commit a7348a1833d2e91bebe2c6f3681be5fc4a35326a
Headers show
Series Add cr16-*-* to the list of obsoleted targets | expand

Commit Message

Richard Biener Sept. 13, 2021, 9:24 a.m. UTC
This adds cr16-*-* to the list of obsoleted targets in config.gcc

Approved by Jeff in another thread, pushed.  cr16 has no maintainer and
it's still cc0.

2021-09-13  Richard Biener  <rguenther@suse.de>

	* config.gcc: Add cr16-*-* to the list of obsoleted targets.
---
 gcc/config.gcc | 1 +
 1 file changed, 1 insertion(+)

Comments

Jan-Benedict Glaw Sept. 13, 2021, 9:55 a.m. UTC | #1
Hi Richard,

On Mon, 2021-09-13 11:24:53 +0200, Richard Biener via Gcc-patches <gcc-patches@gcc.gnu.org> wrote:
> This adds cr16-*-* to the list of obsoleted targets in config.gcc
> 
> Approved by Jeff in another thread, pushed.  cr16 has no maintainer and
> it's still cc0.
> 
> 2021-09-13  Richard Biener  <rguenther@suse.de>
> 
> 	* config.gcc: Add cr16-*-* to the list of obsoleted targets.

for the time being, please update ./contrib/config-list.mk to list
"cr16-elf" as "cr16-elfOPT-enable-obsolete". Or anybody to ACK this
for trunk?

contrib/ChangeLog:

	* config-list.mk (LIST): --enable-obsolete for cr16-elf.

diff --git a/contrib/config-list.mk b/contrib/config-list.mk
index b9e9dd0b34b..b493e69f5d6 100644
--- a/contrib/config-list.mk
+++ b/contrib/config-list.mk
@@ -40,7 +40,7 @@ LIST = aarch64-elf aarch64-linux-gnu aarch64-rtems \
   arm-symbianelf avr-elf \
   bfin-elf bfin-uclinux bfin-linux-uclibc bfin-rtems bfin-openbsd \
   bpf-unknown-none \
-  c6x-elf c6x-uclinux cr16-elf cris-elf \
+  c6x-elf c6x-uclinux cr16-elfOPT-enable-obsolete cris-elf \
   csky-elf csky-linux-gnu \
   epiphany-elf epiphany-elfOPT-with-stack-offset=16 fido-elf \
   fr30-elf frv-elf frv-linux ft32-elf h8300-elf hppa-linux-gnu \


Thanks,
  Jan-Benedict
--
Richard Biener Sept. 13, 2021, 9:58 a.m. UTC | #2
On Mon, 13 Sep 2021, Jan-Benedict Glaw wrote:

> Hi Richard,
> 
> On Mon, 2021-09-13 11:24:53 +0200, Richard Biener via Gcc-patches <gcc-patches@gcc.gnu.org> wrote:
> > This adds cr16-*-* to the list of obsoleted targets in config.gcc
> > 
> > Approved by Jeff in another thread, pushed.  cr16 has no maintainer and
> > it's still cc0.
> > 
> > 2021-09-13  Richard Biener  <rguenther@suse.de>
> > 
> > 	* config.gcc: Add cr16-*-* to the list of obsoleted targets.
> 
> for the time being, please update ./contrib/config-list.mk to list
> "cr16-elf" as "cr16-elfOPT-enable-obsolete". Or anybody to ACK this
> for trunk?

OK.

Thanks and sorry for missing this,
Richard.

> contrib/ChangeLog:
> 
> 	* config-list.mk (LIST): --enable-obsolete for cr16-elf.
> 
> diff --git a/contrib/config-list.mk b/contrib/config-list.mk
> index b9e9dd0b34b..b493e69f5d6 100644
> --- a/contrib/config-list.mk
> +++ b/contrib/config-list.mk
> @@ -40,7 +40,7 @@ LIST = aarch64-elf aarch64-linux-gnu aarch64-rtems \
>    arm-symbianelf avr-elf \
>    bfin-elf bfin-uclinux bfin-linux-uclibc bfin-rtems bfin-openbsd \
>    bpf-unknown-none \
> -  c6x-elf c6x-uclinux cr16-elf cris-elf \
> +  c6x-elf c6x-uclinux cr16-elfOPT-enable-obsolete cris-elf \
>    csky-elf csky-linux-gnu \
>    epiphany-elf epiphany-elfOPT-with-stack-offset=16 fido-elf \
>    fr30-elf frv-elf frv-linux ft32-elf h8300-elf hppa-linux-gnu \
> 
> 
> Thanks,
>   Jan-Benedict
>
Jan-Benedict Glaw Sept. 13, 2021, 10:21 a.m. UTC | #3
Hi!

On Mon, 2021-09-13 11:58:59 +0200, Richard Biener <rguenther@suse.de> wrote:
> On Mon, 13 Sep 2021, Jan-Benedict Glaw wrote:
> > contrib/ChangeLog:
> > 
> > 	* config-list.mk (LIST): --enable-obsolete for cr16-elf.
> > 
[...]
> OK.

Committed, thanks!

MfG, JBG

--
diff mbox series

Patch

diff --git a/gcc/config.gcc b/gcc/config.gcc
index ccf41f66e42..84de1a3f691 100644
--- a/gcc/config.gcc
+++ b/gcc/config.gcc
@@ -249,6 +249,7 @@  md_file=
 # Obsolete configurations.
 case ${target} in
   tile*-*-*				\
+ | cr16-*-*				\
  )
     if test "x$enable_obsolete" != xyes; then
       echo "*** Configuration ${target} is obsolete." >&2